!config
# Arara, the cool TeX automation tool
# Copyright (c) 2022, Island of TeX
# All rights reserved.
#
# This rule is part of arara.
identifier: bibtex
name: BibTeX
authors:
- Island of TeX
commands:
- name: The BibTeX reference management software
  command: >
    @{
        return getCommand('bibtex', options, getBasename(reference.fileName))
    }
arguments:
- identifier: options
  flag: >
    @{
        if (isList(parameters.options)) {
            return parameters.options;
        }
        else {
            throwError('I was expecting a list of options.');
        }
    }
